--Yunque Raceway by Razyx

--You Can use 0, 1, -1 instead. 
local STRAIGHT = 0
local LEFT = 1 
local RIGHT = -1


Track =
{
	Name = "Yunque Raceway",
	--Track Image Info
	--Track Image must be 1280 x 720
	--Start Position on the Image x,y from Top Left
	Start = { 360, 505 },
	
	--How many pixels per meter ( Pixels / Length )
	--Measure a long straight and then manipulate from there
	Scale = 10.5 / 10,


	Layout = {			0,			LEFT,		0,			LEFT,		0,		LEFT,		0,			RIGHT,		LEFT,
						0,			LEFT,		0,			RIGHT,		0,		RIGHT,		LEFT,		0,			RIGHT,
						0,			RIGHT,		0,			RIGHT,		0,		LEFT,		LEFT,		LEFT,		0,
						RIGHT,		RIGHT,		0,			RIGHT,		0,		RIGHT,		0,			LEFT,		0,
						RIGHT,		0,			RIGHT,		0,			RIGHT,	0,			LEFT,		LEFT, 		LEFT,
						0,			LEFT,		0
	},	-- Straight 0 , Corner Left 1, Corner Right -1
	LayoutInfo = {    	300,		49,			195,		132,		125,	48,			152,		172.5,		175.5,
						152,		28,			20,			173,		68,		85,			91,			35,			90.5,
						530,		90,			160,		44,			78,		93,			40,			77,			77,
						90,			70,			35,			97,			442,	44,			67,			63.5,		165,
						21,			84,			90.5,		185,		46,		155,		40,			95,			120,
						280,		59,			90
	},	-- Straight Length [m] or Corner Angle [°]
	CornerRadius = {    0,			180,		0,			50,			0,		125,		0,			76,			35,
						0,			50,			0,			30,			0,		20,			18,			0,			142,
						0,			100,		0,			104,		0,		45,			30,			115,		0,
						44,			44,			0,			194,		0,		82,			0,			70,			0,
						80,			0,			61,			0,			48,		0,			125,		93,			91,
						0,			106,		0
	},	-- Corner Radius [m], 0 for Straight
	Slope = {    		0,			0,			0,			0,			0,		0,			0,			0,			0,
						0,			0,			0,			0,			0,		0,			0,			0,			0,
						0,			0,			0,			-4,			-3,		-2,			0,			4,			6,
						-1,			0,			0,			0,			0,		0,			0,			0,			0,
						0,			0,			2,			4,			10,		0,			-6,			-5,			-3,
						-1,			0,			0
	},	-- [%] (-: descending, +: climbing)
	Sportiness = {    	0,			0,			0,			0,			1,		2,			4,			3,			2,
						1,			0,			0,			0,			0,		0,			0,			0,			0,
						0,			0,			0,			0,			1,		2,			1,			0,			0,
						0,			0,			0,			0,			0,		0,			0,			0,			0,
						0,			0,			1,			2,			3,		5,			2,			1,			0,
						0,			0,			0
	},	-- 0: no problems, 5: problems with untame car	
	Camber = {			2,			6,			0,			0,			3,		8,			2,			0,			0,
						0,			0,			0,			0,			0,		0,			0,			-2,			-14,
						0,			-8,			-10,		-15,		-5,		0,			0,			0,			-2,
						-4,			-5,			-8,			-12,		-6,		-3,			0,			0,			-4,
						-6,			-8,			-12,		-6,			-4,		-2,			6,			8,			10,
						3,			6,			0
	},	-- [°] (positive values: banking to left /, negative: banking to right \)
	Split1 = 1929.7,
	Split2 = 4412.3,
	--S2 2482.6
	--S3 1871.4
}
